Package org.jmock.cglib

# Class MockObjectTestCase

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
org.jmock.core.VerifyingTestCase
org.jmock.core.MockObjectSupportTestCase
org.jmock.MockObjectTestCase
org.jmock.cglib.MockObjectTestCase

All Implemented Interfaces:
  `junit.framework.Test`

public abstract class MockObjectTestCase extends org.jmock.MockObjectTestCase

## Field Summary

### Fields inherited from class org.jmock.core.MockObjectSupportTestCase

`ANYTHING, NOT_NULL, NULL`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MockObjectTestCase()`
`protected`
`MockObjectTestCase(String testName)`

## Method Summary

Modifier and Type
Method
Description
`org.jmock.Mock`
`mock(Class mockedClass, Class[] constructorArgumentTypes, Object[] constructorArguments)`
`org.jmock.Mock`
`mock(Class mockedClass, String roleName, Class[] constructorArgumentTypes, Object[] constructorArguments)`
`protected org.jmock.core.DynamicMock`
`newCoreMock(Class mockedType, String roleName)`
`protected org.jmock.core.DynamicMock`
`newCoreMock(Class mockedClass, String roleName, Class[] constructorArgumentTypes, Object[] constructorArguments)`

### Methods inherited from class org.jmock.MockObjectTestCase

`atLeastOnce, atMostOnce, defaultMockNameForType, doAll, doAll, doAll, doAll, exactly, mock, mock, never, never, newDummy, newDummy, newDummy, once, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, returnIterator, returnIterator, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, throwException`

### Methods inherited from class org.jmock.core.MockObjectSupportTestCase

`and, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, collectionContaining, collectionContaining, compatibleType, contains, endsWith, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, hasProperty, hasProperty, isA, isIn, isIn, mapContaining, mapContaining, mapWithKey, mapWithKey, mapWithValue, mapWithValue, not, or, same, startsWith, stringContains, toString`

### Methods inherited from class org.jmock.core.VerifyingTestCase

`registerToVerify, runBare, unregisterToVerify, verify`

### Methods inherited from class junit.framework.TestCase

`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

### Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MockObjectTestCase

protected MockObjectTestCase(String testName)

### MockObjectTestCase

protected MockObjectTestCase()

## Method Details

### mock

public org.jmock.Mock mock(Class mockedClass, String roleName, Class[] constructorArgumentTypes, Object[] constructorArguments)

### mock

public org.jmock.Mock mock(Class mockedClass, Class[] constructorArgumentTypes, Object[] constructorArguments)

### newCoreMock

protected org.jmock.core.DynamicMock newCoreMock(Class mockedType, String roleName)

Overrides:
  `newCoreMock` in class `org.jmock.MockObjectTestCase`

### newCoreMock

protected org.jmock.core.DynamicMock newCoreMock(Class mockedClass, String roleName, Class[] constructorArgumentTypes, Object[] constructorArguments)